%define upstream_name Parse-MIME
%define upstream_version 1.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse mime-types, match against media ranges
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module provides basic functions for handling mime-types. It can
handle matching mime-types against a list of media-ranges. See section
14.1 of the HTTP specification [RFC 2616] for a complete explanation:
<https://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html#sec14.1>

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.6.0-2.mga10
+ Revision: 2215068
- Mageia 10 Mass Rebuild

* Sat Aug 13 2022 tv <tv> 1.6.0-1.mga9
+ Revision: 1877357
- update to 1.006

* Mon Mar 21 2022 umeabot <umeabot> 1.5.0-3.mga9
+ Revision: 1811025
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.5.0-2.mga8
+ Revision: 1519758
- Mageia 8 Mass Rebuild

* Sat Oct 20 2018 tv <tv> 1.5.0-1.mga7
+ Revision: 1322692
- update to 1.005

* Wed Sep 19 2018 umeabot <umeabot> 1.3.0-4.mga7
+ Revision: 1270423
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.3.0-3.mga6
+ Revision: 1031734
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.3.0-2.mga6
+ Revision: 969193
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.3.0-1.mga6
+ Revision: 864457
- imported package perl-Parse-MIME

